* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    flex-shrink: 0;
    text-decoration: none;
    font-family: PingFang SC, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans,
        Droid Sans, Helvetica Neue, sans-serif;
}

html {
    color: #222222;
    font-size: 14px;
}

a {
    text-decoration: none;
    color: currentColor;
    cursor: pointer;
}

button {
    padding: 8px 10px;
    background-color: #278be8;
    border: 1px solid #278be8;
    color: #ffffff;
    border-radius: 3px;
    display: block;
    cursor: pointer;
}

button[data-normal] {
    background-color: #ffffff;
    color: #278be8;
}

button:hover {
    opacity: 0.8;
}

button[data-f] {
    border-radius: 6px;
    border-color: #ffffff;
    background: linear-gradient(100deg, #99ec93, #0098c4, #278be8);
}

.flex-c {
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-c-b {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.gap {
    height: 16px;
    border-left: 1px solid currentColor;
}

.conetnt-box {
    padding-top: 90px;
    padding-bottom: 90px;
}

nav {
    position: sticky;
    top: 0px;
    z-index: 10099;
    margin-bottom: 0px !important;
}

.h5-none {
    display: none !important;
}

.nav-bar {
    position: relative;
    margin: 0 auto;
    height: 60px;
    border-bottom: 1px solid #f2f2f2;
    background-color: #ffffff;
    z-index: 2;
    padding: 0px 10px;
}

.nav-bar img {
    height: 40px;
}

.nav-switcher {
    width: 35px;
    height: 35px;
    cursor: pointer;
    position: relative;
}

.nav-switcher div {
    width: 24px;
    height: 3px;
    background-color: #333;
    transition: all 0.3s;
    position: absolute;
    left: 5px;
    pointer-events: none;
}

.nav-switcher div:nth-child(1) {
    top: 8px;
    transform-origin: left bottom;
}
.nav-switcher div:nth-child(2) {
    top: 16px;
}
.nav-switcher div:nth-child(3) {
    top: 24px;
    transform-origin: right top;
}
.nav-switcher-open div:nth-child(1) {
    transform: rotate(45deg) translateY(-2.6px);
}
.nav-switcher-open div:nth-child(3) {
    transform: rotate(45deg) translateY(2.2px);
}

.nav-switcher-open div:nth-child(2) {
    transform: rotate(-45deg);
}

footer {
    background-color: #262d43;
    color: #ffffff;
}

.footer {
    padding: 30px;
}

.footer-info h1 {
    margin: 10px 0px;
}

.footer-info {
    padding: 40px 0px;
    text-align: center;
}

h2 {
    font-size: 42px;
    line-height: 59px;
    text-align: center;
}

.app-main {
    position: relative;
    color: #ffffff;
}

.app-main h1 {
    position: absolute;
    text-align: center;
    display: block;
    width: 100%;
    line-height: 40px;
    top: 30px;
}

.app-main img {
    width: 100%;
}

p[data-p] {
    padding-left: 14px;
    position: relative;
    line-height: 24px;
}
p[data-p]::before {
    content: "";
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: #bfbfbf;
    display: block;
    position: absolute;
    top: 8px;
    left: 4px;
}

.detail-tab {
    gap: 50px;
    height: 60px;
    border-bottom: 1px solid #d9dbe1;
    display: flex;
    justify-content: center;
}

.detail-tab div {
    height: 61px;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 18px;
    cursor: pointer;
    border-bottom: 2px solid transparent;
}

.detail-tab div:hover {
    color: #388cf2;
}

@keyframes Show {
    from {
        transform: translateY(-5px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

.detail-item {
    display: none;
    align-items: center;
    justify-content: space-between;
    margin: 30px 0px;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    height: 500px;
    border-radius: 6px;
    animation: Show linear forwards 0.3s;
}

.detail-item > img {
    width: 460px;
    height: auto;
}

.detail-item-point {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-color: #f4f9fe;
    width: 300px;
    height: 500px;
    padding: 40px 0px;
}

.detail-item-point div {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-left: 40px;
}

.detail-item-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    height: 500px;
    width: 320px;
    padding-right: 40px;
}
.detail-item-info h3 {
    font-size: 18px;
}

.detail-item-info div {
    line-height: 20px;
}

.ys {
    height: 420px;
    background: url(/assets/yb.png);
    background-position: center;
}

.ys h2 {
    color: #ffffff;
    padding-top: 30px;
}

.ys-box {
    background-color: #f3f8fd;
    padding: 20px;
    margin-bottom: -250px;
}

.ys-box > div {
    height: 580px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: baseline;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    border-radius: 12px;
    justify-items: center;
    transform: translateY(-320px);
}

.ys-box em {
    width: 63px;
    height: 63px;
    display: block;
    background-position: center !important;
    background-repeat: no-repeat !important;
    transform: scale(0.8);
}

.ys-box > div > div {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    width: 100px;
    line-height: 20px;
    height: 120px;
    gap: 10px;
}

.ys-box > div > div > div {
    height: 40px;
}

.filter {
    margin: 30px 10px;
    border-radius: 12px;
    padding: 0px 10px;
}

.filter-item {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    padding: 10px 0px;
}

.filter-item h4 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    height: 40px;
    border-radius: 4px;
    background: linear-gradient(180deg, rgba(210, 233, 254, 1) 0%, rgba(243, 249, 255, 1) 100%);
}

.filter-item div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    border-radius: 4px;
    cursor: pointer;
    height: 40px;
}

.filter-item div:hover {
    background-color: #f7f8fa;
}

.filter-active {
    background-color: #388cf2 !important;
    color: #ffffff;
}

.arrow-right {
    width: 6px;
    height: 6px;
    border-top: 1px solid currentColor;
    border-right: 1px solid currentColor;
    transform: rotate(45deg);
}

.page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
    gap: 80px;
}

#pageup {
    padding: 8px 16px;
    color: #278be8;
    background-color: #ecf5fd;
    border-radius: 6px;
    border-color: transparent;
}

#pagedown {
    padding: 8px 16px;
    border-radius: 6px;
}

.app-mid h2 {
    font-size: 30px;
}

.fun {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.2s linear;
    padding: 0px 20px;
}

.fun-show {
    opacity: 1;
    transform: translateY(0px);
}

.fun > img {
    width: 100%;
    order: 1;
    margin-bottom: 10px;
}
.fun > div {
    width: 100%;
    order: 2;
}

.fun h1 {
    font-size: 24px;
    margin-bottom: 16px;
}
.fun h4 {
    font-size: 14px;
    margin-bottom: 16px;
    color: #787878;
    font-weight: 400;
}
.fun h1 span {
    font-size: 16px;
    font-weight: 400;
}
.fun p {
    margin: 8px 0px;
    line-height: 24px;
}
.fun-tag {
    padding: 5px 10px;
    border-radius: 15px;
    border: 1px solid #388cf2;
    color: #388cf2;
    font-size: 14px;
}
.fun p[data-p]::before {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    border: 1px solid #278be8;
    left: 0;
    top: 8px;
    background-color: transparent;
}

.fun button {
    margin-top: 20px;
    border-radius: 3px;
    width: 182px;
    height: 46px;
}

.lin {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.lin > div {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 180px;
    height: 60px;
}

.p-t p {
    text-indent: 2em;
    font-size: 16px;
    line-height: 32px;
}

.app-aside {
    position: fixed;
    z-index: 10010;
    right: 5px;
    background-color: #268be8;
    color: #ffffff;
    bottom: 100px;
    width: 50px;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.app-aside > a,
.app-aside > div {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    width: 40px;
    height: 100px;
    cursor: pointer;
    border-bottom: 1px solid #ffffff;
}

.app-aside > div:last-child {
    border: none;
}

.app-aside > a > div,
.app-aside > div > div {
    width: 30px;
    pointer-events: none;
    text-align: center;
}
.app-aside svg {
    font-size: 24px;
    pointer-events: none;
}

.overlay {
    display: none;
}

.h5-link > div:not(.h5-link-sub, .footer-info),
.h5-link-sub > div {
    height: 50px;
    border-bottom: 1px solid #e7e7e7;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 20px;
}

.h5-link-sub {
    overflow: hidden;
    padding: 20px;
    padding-top: 0px;
    background-color: #f9f9f9;
}

.footer .h5-link-sub {
    background-color: #3a4462;
}

.h5-link-switcher div {
    pointer-events: none;
}

.h5-link-switcher .arrow-right {
    transform: rotate(135deg);
}

.h5-link-switcher-open .arrow-right {
    transform: rotate(-45deg);
}

.h5-link-overlay {
    padding: 30px;
    padding-top: 80px;
    height: 100vh;
    position: fixed;
    z-index: 10086;
    top: 0px;
    left: 0px;
    width: 100%;
    background-color: #ffffff;
    transform: translateY(-10px);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
    overflow-y: auto;
}

.h5-link-overlay-show {
    transform: translateY(0px);
    opacity: 1;
    pointer-events: unset;
}
.xc-h5 img {
    max-width: 100%;
    margin: 20px 0px;
}

.crumb {
    display: flex;
    height: 50px;
    gap: 10px;
    background: #f4f9fe;
    align-items: center;
    padding: 0 20px;
    overflow: hidden;
}

.crumb a {
    color: #278be8;
}


.page-empty {
    width: 100%;
    display: block;
    text-align: center;
}

.page-empty img {
    width: 90%;
    max-width: 600px;
    position: static !important;
}
.fun-switch {
    flex-direction: column;
    padding: 0px 20px;
    gap: 20px;
}

.fun-switch img {
    order: 3;
    width: 100%;
}

.fun-switch img,
.fun-switch p {
    display: none;
}

.fun-switch p {
    line-height: 24px;
    order: 2;
    padding: 0px !important;
}

.fun-tab {
    order: 1;
    display: flex;
    justify-content: space-around;
    width: 100%;
    gap: 10px;
}

.fun-tab div {
    transition: width 0.3s;
    font-style: normal;
    flex: 1;
    min-width: 0;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    background-color: #ffffff;
    box-shadow: 0px 10px 42px 1px rgba(0, 0, 0, 0.08);
}

.fun-tab div.fun-active {
    width: 100%;
    color: #ffffff;
    background: linear-gradient(162deg, rgba(235,241,252,1) 0%, rgba(137,185,245,1) 32%, rgba(76,150,241,1) 60%, rgba(68,146,241,1) 83%, rgba(56,140,242,1) 100%);
}

.fun-title {
    text-align: center;
}

.fun-title h2 {
    font-size: 24px;
}